Subject: bug#8510: 24.0.50; lexbind problem (apparently): void-variable symbol

From: Tassilo Horn <[email-masked]>
Date: Sat, 16 Apr 2011 18:33:53 +0200

"Drew Adams" <[email-masked]> writes:

Hi Drew,

> I ran into this from my own code.  This is not a recipe from emacs -Q.
> But I suspect that the problem is in the vanilla code, possibly in the
> C code for `documentation-property'.

I suspect its a bug in your code. :-)

Your description sounds very similar to an issue I had with anything.el
when switching to the (now merged) lexbind branch.  The issue was that
some advice tried to access one arg of the adviced function by its
name.  That's the fix:

--8<---------------cut here---------------start------------->8---
--- a/anything.el
+++ b/anything.el
@@@ -2816,7 -2816,7 +2816,7 @@@ if optional NOUPDATE is non-nil, anythi
  
  (defadvice documentation-property (after anything-document-type-attribute activate)
    "Hack to display type attributes' documentation as `anything-type-attributes
' docstring."
 -  (when (eq symbol 'anything-type-attributes)
 +  (when (eq (ad-get-arg 0) 'anything-type-attributes)
      (setq ad-return-value
            (concat ad-return-value "\n\n++++ Types currently defined ++++\n"
                    (mapconcat (lambda (sym) (get sym 'anything-typeattrdoc))
--8<---------------cut here---------------end--------------->8---

Bye,
Tassilo